> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List edi documents

> List edi documents

### Query parameters

<ParamField query="document_type" type="string" />

<ParamField query="direction" type="string" />

<ParamField query="status" type="string" />

<ParamField query="partner" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="EdiDocumentListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/edi-documents' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "documents": [
      {
        "created_at": "string",
        "direction": "string",
        "document_type": "string",
        "error_message": null,
        "id": "string",
        "partner": null,
        "reference": null,
        "status": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
